osmo_prim_event_map Struct Reference
Osmocom primitives

single entry in a SAP/PRIM/OP -> EVENT map More...

`#include <prim.h>`

## Data Fields

unsigned int | sap
| SAP to match. More...
unsigned int | primitive
| primtiive to match More...
enum osmo_prim_operation | operation
| operation to match More...
uint32_t | event
| event as result if above match More...

## Detailed Description

single entry in a SAP/PRIM/OP -> EVENT map

## Field Documentation

## event

uint32_t osmo_prim_event_map::event

event as result if above match

Referenced by osmo_event_for_prim().

## operation

enum osmo_prim_operation osmo_prim_event_map::operation

operation to match

Referenced by osmo_event_for_prim().

## primitive

unsigned int osmo_prim_event_map::primitive

primtiive to match

Referenced by osmo_event_for_prim().

## sap

unsigned int osmo_prim_event_map::sap

SAP to match.

Referenced by osmo_event_for_prim().

The documentation for this struct was generated from the following file:

- include/osmocom/core/prim.h